void buildBkTree(){
  BufferedReader reader = createReader("2010_bk_ordered.txt");  
  barcodeHash = new HashMap<String,ArrayList<String>>();
  ckoutTimeHash = new HashMap<String,ArrayList<String>>();
  try{
    while((line = reader.readLine())!=null){
      String[] splitline = line.split("\t");
      if(barcodeHash.containsKey(splitline[2])){
        (barcodeHash.get(splitline[2])).add(splitline[3]);
      }else{
        barcodeHash.put(splitline[2],new ArrayList<String>());
        int numspace = 12 - splitline[1].length();
        String space = "";
        while(numspace >= 0){
          space += " ";
          numspace--;
        }
        (barcodeHash.get(splitline[2])).add(splitline[1] + "  " + splitline[0]);
        (barcodeHash.get(splitline[2])).add(splitline[3]);
      }       
      
      if(ckoutTimeHash.containsKey(splitline[3])){
        (ckoutTimeHash.get(splitline[3])).add(splitline[2]);
      }else{
        ckoutTimeHash.put(splitline[3],new ArrayList<String>());
        (ckoutTimeHash.get(splitline[3])).add(splitline[2]);
      }  
    }
    reader.close();
  }catch(IOException e){
    e.printStackTrace();
  }
  println(barcodeHash.size());
  println(ckoutTimeHash.size()); 
  
  nodeHash = new HashMap<String,bkNode>();

  //queueNodes = new LinkedList<bkNode>();
  LinkedList<bkNode> queueNodes = new LinkedList<bkNode>();
  
  root = new bkNode();
  root.setDate("2010-01-02 10:00:00.0");
  root.setCoord(width/2,height/2);
  root.pname = "The beginning";
  root.update();
  
    
  /*queueNodes.add(root);
  while(!queueNodes.isEmpty()){
    bkNode currentNode = queueNodes.poll();
    currentNode.update();
    for(int i = 0;i < currentNode.ccount;i++){
      //if(!currentNode.children[i].updated){
        queueNodes.add(currentNode.children[i]);        
      //}
    }
  }
  println(nodecount);*/
  //nodeHash.clear();
  //barcodeHash.clear();
  //ckoutTimeHash.clear();  
  //queueNodes = new LinkedList<bkNode>();
}
void loadRainbowColor(){
  rainbow = new color[1000];
  BufferedReader reader = createReader("color.txt");
  String line;
  try{
    int i = 0;
    while((line = reader.readLine())!=null){
      String[] splitline = line.split("\t");
      int r = Integer.parseInt(splitline[0]);
      int g = Integer.parseInt(splitline[1]);
      int b = Integer.parseInt(splitline[2]);
      rainbow[i] = color(r,g,b);
      i++;
    }
  }catch(IOException e){
    e.printStackTrace();
  }
}

